<section class="{{cssClass}} directory flexcol" id="{{cssId}}" data-tab="{{tabName}}">
    <header class="combat-tracker-header">
        {{#if user.isGM}}
        <nav class="encounters flexrow" aria-label="COMBAT.NavLabel">
            <a class="combat-button combat-create" data-tooltip="COMBAT.Create">
                <i class="fa-solid fa-plus"></i>
            </a>
            {{#if combatCount}}
            <a class="combat-button combat-cycle" data-tooltip="COMBAT.EncounterPrevious"
               {{#if previousId}}data-document-id="{{previousId}}"{{else}}disabled{{/if}}>
                <i class="fa-solid fa-caret-left"></i>
            </a>
            <h4 class="encounter">{{localize "COMBAT.Encounter"}} {{currentIndex}} / {{combatCount}}</h4>
            <a class="combat-button combat-cycle" data-tooltip="COMBAT.EncounterNext"
               {{#if nextId}}data-document-id="{{nextId}}"{{else}}disabled{{/if}}>
                <i class="fa-solid fa-caret-right"></i>
            </a>
            {{/if}}
            <a class="combat-button combat-control" data-tooltip="COMBAT.Delete" data-control="endCombat" {{#unless combatCount}}disabled{{/unless}}>
                <i class="fa-solid fa-trash"></i>
            </a>
        </nav>
        {{/if}}

        <div class="encounter-controls flexrow {{#if hasCombat}}combat{{/if}}">
            {{#if combatCount}}
            {{#if combat.round}}
            <h3 class="encounter-title noborder">{{localize 'COMBAT.Round'}} {{combat.round}}</h3>
            {{else}}
            <h3 class="encounter-title noborder">{{localize 'COMBAT.NotStarted'}}</h3>
            {{/if}}
            {{else}}
            <h3 class="encounter-title noborder">{{localize "COMBAT.None"}}</h3>
            {{/if}}

            {{#if user.isGM}}
            <a class="combat-button combat-control" data-tooltip="COMBAT.RollAll" data-control="rollAll" {{#unless turns}}disabled{{/unless}}>
                <i class="fa-solid fa-users"></i>
            </a>
            <a class="combat-button combat-control" data-tooltip="COMBAT.RollNPC" data-control="rollNPC" {{#unless turns}}disabled{{/unless}}>
                <i class="fa-solid fa-users-cog"></i>
            </a>
            <a class="combat-button combat-control" data-tooltip="COMBAT.InitiativeReset" data-control="resetAll"
                {{#unless hasCombat}}disabled{{/unless}}>
                <i class="fa-solid fa-undo"></i>
            </a>
            <a class="combat-button combat-control" data-tooltip="{{labels.scope}}"
                data-control="toggleSceneLink" {{#unless hasCombat}}disabled{{/unless}}>
                <i class="fa-solid fa-{{#unless linked}}un{{/unless}}link"></i>
            </a>
            <a class="combat-button combat-control" data-tooltip="SWADE.ActionDeckReset" data-control="resetDeck">
                <i class="{{cardsIcon}}"></i>
            </a>
            <a class="combat-settings" data-tooltip="COMBAT.Settings" data-control="trackerSettings">
                <i class="fa-solid fa-cog"></i>
            </a>
            {{/if}}
        </div>
    </header>

    <ol id="combat-tracker" class="directory-list">
        {{#each turns}}
        <li class="combatant actor directory-item flexrow {{this.css}}" data-combatant-id="{{this.id}}">
            <div class="token-initiative" style="border-right-color: {{combatantColor this.id}}; {{#if this.defeated}}opacity: 0.3;{{/if}}">
                {{#if this.emptyInit}}
                <span class="initiative"></span>
                {{else if this.roundHeld}}
                <span class="initiative"><i class="fa-solid fa-hand-rock"></i></span>
                {{else if this.turnLost}}
                <span class="initiative"><i class="fa-solid fa-ban"></i></span>
                {{else if this.hasRolled}}
                    {{#if this.canRedraw}}
                        <a class="initiative dealt" data-tooltip="SWADE.Redraw">{{this.cardString}}</a>
                    {{else}}
                        <span class="initiative">{{this.cardString}}</span>
                    {{/if}}
                {{else if this.canDrawInit}}
                <a class="combatant-control roll" data-tooltip="{{localize 'SWADE.DrawInit'}}" data-control="rollInitiative"></a>
                {{else}}
                <span class="initiative"></span>
                {{/if}}
            </div>
            <img class="token-image" data-src="{{this.img}}" title="{{this.name}}"/>
            <div class="token-name flexcol">
                <h4>{{this.name}}</h4>
                <div class="combatant-controls flexrow">
                    {{#if this.canPing}}
                    <a class="combatant-control" data-tooltip="COMBAT.PingCombatant" data-control="pingCombatant">
                        <i class="fa-solid fa-bullseye-arrow"></i>
                    </a>
                    {{/if}}
                    {{#if ../user.isGM}}
                    <a class="combatant-control {{#if this.hidden}}active{{/if}}" data-tooltip="COMBAT.ToggleVis" data-control="toggleHidden">
                        <i class="fa-solid fa-eye-slash"></i>
                    </a>
                    <a class="combatant-control {{#if this.defeated}}active{{/if}}" data-tooltip="COMBAT.ToggleDead" data-control="toggleDefeated">
                        <i class="fa-solid fa-skull"></i>
                    </a>
                    {{#unless isVehicle}}
                    <a class="combatant-control {{#if this.isIncapacitated}}active{{/if}}" data-tooltip="SWADE.ToggleIncap" data-control="toggleIncapacitated">
                        <i class="fa-solid fa-tombstone"></i>
                    </a>
                    {{/unless}}
                    {{#if ../combat.started}}
                    {{#if this.active}}
                    {{#unless (or (isInGroup this.id) (gt ../combat.round (roundHeld this.id)) (turnLost this.id))}}
                    <a class="combatant-control {{#if (isOnHold this.id)}}active{{/if}}" data-tooltip="SWADE.Hold" data-control="toggleHold">
                        <i class="fa-solid fa-hand-rock"></i></a>
                    {{/unless}}
                    {{/if}}
                    {{#if (or (isOnHold this.id) (turnLost this.id))}}
                    <a class="combatant-control {{#if (turnLost this.id)}}active{{/if}}" data-tooltip="SWADE.LoseTurn" data-control="toggleLostTurn">
                        <i class="fa-solid fa-ban"></i></a>
                    {{/if}}
                    {{#unless (isInGroup this.id)}}
                    {{#if (isOnHold this.id)}}
                    {{#unless (and (eq ../combat.round (roundHeld this.id)) (eq ../combat.combatant.id this.id))}}
                    <a class="combatant-control active" data-tooltip="SWADE.ActBeforeCurrentCombatant" data-control="actNow">
                        <i class="fa-solid fa-long-arrow-alt-right"></i></a>
                    {{/unless}}
                    {{/if}}
                    {{#if (and (isOnHold this.id) (eq this.active false))}}
                    {{#unless this.active}}
                    <a class="combatant-control {{#if (eq this.active false)}}active{{/if}}" data-tooltip="SWADE.ActAfterCurrentCombatant" data-control="actAfter">
                        <i class="fa-solid fa-level-down-alt"></i></a>
                    {{/unless}}
                    {{/if}}
                    {{/unless}}
                    {{/if}}
                    {{/if}}
                    <div class="token-effects">
                        {{#each this.effects}}
                        <img class="token-effect" src="{{this}}"/>
                        {{/each}}
                    </div>
                </div>
            </div>

            {{#if this.hasResource}}
            <div class="token-resource">
                <span class="resource">{{this.resource}}</span>
            </div>
            {{/if}}

        </li>
        {{/each}}
    </ol>

    <nav id="combat-controls" class="directory-footer flexrow" data-tooltip-direction="UP">
        {{#if hasCombat}}
            {{#if user.isGM}}
                {{#if round}}
                    <a class="combat-control" data-tooltip="COMBAT.RoundPrev" data-control="previousRound"><i class="fa-solid fa-step-backward"></i></a>
                    <a class="combat-control" data-tooltip="COMBAT.TurnPrev" data-control="previousTurn"><i class="fa-solid fa-arrow-left"></i></a>
                    <a class="combat-control center" data-control="endCombat">{{localize 'COMBAT.End'}}</a>
                    <a class="combat-control" data-tooltip="COMBAT.TurnNext" data-control="nextTurn"><i class="fa-solid fa-arrow-right"></i></a>
                    <a class="combat-control" data-tooltip="COMBAT.RoundNext" data-control="nextRound"><i class="fa-solid fa-step-forward"></i></a>
                {{else}}
                    <span class="flexcol">
                        <a class="combat-control" data-control="startCombat">{{localize 'COMBAT.Begin'}}</a>
                        <a class="combat-control" data-control="startSurpriseCombat">{{localize "SWADE.Combat.StartSurpriseRound"}}</a>
                    </span>
                {{/if}}
            {{else if control}}
                <a class="combat-control" data-tooltip="COMBAT.TurnPrev" data-control="previousTurn"><i class="fa-solid fa-arrow-left"></i></a>
                <a class="combat-control center" data-control="nextTurn">{{localize 'COMBAT.TurnEnd'}}</a>
                <a class="combat-control" data-tooltip="COMBAT.TurnNext" data-control="nextTurn"><i class="fa-solid fa-arrow-right"></i></a>
            {{/if}}
        {{/if}}
    </nav>
</section>
